package cn.com.qmth.importpaper;

import java.io.IOException;
import java.util.Map;

import org.apache.commons.io.IOUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.google.common.collect.Maps;

import okhttp3.Response;

public class ClearProp {

	private static Logger logger = LogManager.getLogger(ClearProp.class);
	private static String batch = "230517";
	private static String host = "https://ynou.exam-cloud.cn";
	private static String rootOrgId = "17351";
	private static String key = "U_C_17351_646523";
	private static String token = "4982461411c04d15a26cc2130a373a6f";
	
//	private static String batch = "230517";
//	private static String host = "http://localhost:8008";
//	private static String rootOrgId = "149";
//	private static String key = "U_C_149_170";
//	private static String token = "cac2f518a68346fe860fcb8a616bb458";

	public static void main(String[] args) {
		logger.debug("**********************开始");
		clear();
		logger.debug("**********************结束");
	}


	private static void clear() {
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", rootOrgId);
		params.put("batch", batch);
		Map<String, String> headers = Maps.newHashMap();
		headers.put("key", key);
		headers.put("token", token);
		Response resp = null;
		try {
//			OKHttpUtil.initOkHttpClient();
			resp = OKHttpUtil.call(HttpMethod.POST, host+"/api/ecs_ques/importYunkaiProp/clear", headers, params);
			if (resp.code() != 200) {
				throw new RuntimeException("body:" + resp.body().string());
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			IOUtils.closeQuietly(resp);
			OKHttpUtil.close();
		}
	}

}
